/*----------------------------------------------------------------------*/
/* Copyright (c) 1988-1989						*/
/* by CompuServe Inc., Tucson, AZ.  All Rights Reserved			*/
/* TIFRLE.H can be copied and distributed freely for any		*/
/* non-commercial purposes. TIFRLE.H can only be incorporated		*/
/* into commercial software with the permission of CompuServe Inc.	*/
/*----------------------------------------------------------------------*/


/* Header file TIFRLE.H */

/*
 * Routine to read in bits of Huffman encoded scan line and emit
 * corresponding Run Length counts.
 * Bits are read in via next_bit_from_stream and refill_byte (see READTIF.H)
 * Run lengths are stored in rle_line.
 * If an EOL is seen before any pixels, eol_first is set.
 */

extern void	expand_huffman_line( rle_line	*emit_line,
				     int	*eol_first );
/*
 * Routine to process either an already expanded huffman_line or the following
 * line to return the next pixel (WHITE or BLACK).
 * Calls expand_huffman_line as needed.
 */

extern short	get_RLE_bit( void );

/*
 * Routine to read bits of Huffman stream until a run length has been
 * determined.  Returns new color, length of it and whether the end of line
 * has been reached.
 */

extern void 	expand_huffman_code( colors	color_of_run,
				     int	*length_of_color,
				     int	*eol_seen );

/*
 * Routine to initialize variables for decoding a new page.
 */

extern short int	start_huffman_page( char huffman_name[] );
